package me.bootscreen.workingslots;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;
import org.getspout.spoutapi.SpoutManager;
import org.getspout.spoutapi.keyboard.Keyboard;

public class WorkingSlots extends JavaPlugin{

	private FileManager fileManager = new FileManager();
	private Listener listener = new Listener();
	
	@Override
	public void onDisable() {
		System.out.println("WorkingSlots disabled.");
		
	}

	@Override
	public void onEnable() {
		
		fileManager.createConfig();

		SpoutManager.getKeyBindingManager().registerBinding("Preset0", Keyboard.KEY_NUMPAD0, "Load Preset 0", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset1", Keyboard.KEY_NUMPAD1, "Load Preset 1", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset2", Keyboard.KEY_NUMPAD2, "Load Preset 2", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset3", Keyboard.KEY_NUMPAD3, "Load Preset 3", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset4", Keyboard.KEY_NUMPAD4, "Load Preset 4", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset5", Keyboard.KEY_NUMPAD5, "Load Preset 5", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset6", Keyboard.KEY_NUMPAD6, "Load Preset 6", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset7", Keyboard.KEY_NUMPAD7, "Load Preset 7", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset8", Keyboard.KEY_NUMPAD8, "Load Preset 8", listener, this);
		SpoutManager.getKeyBindingManager().registerBinding("Preset9", Keyboard.KEY_NUMPAD9, "Load Preset 9", listener, this);
		
		System.out.println("WorkingSlots enabled.");
		
	}
	

	@Override
	public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args)
	{
		boolean succeed = false;
		int presetnum;
		
		if(sender instanceof Player)
		{
			Player player = (Player) sender;
			
			if(cmd.getName().equalsIgnoreCase("ws"))
			{
				if(args.length == 1)
				{
					try
					{
						presetnum = Integer.parseInt(args[0]);
						
						if(player.hasPermission("workingslots."+presetnum) || player.hasPermission("workingslots.*")) 
						{
							succeed = fileManager.loadPreset(player, presetnum);
						}
						else
						{
							player.sendMessage(ChatColor.RED + "[WorkingSlots] Du hast leider keine Rechte das Prest zu laden.");
						}
					}
					catch(Exception e)
					{
						e.printStackTrace();
						succeed = false;
					}
				}
				else
				{
					player.sendMessage(ChatColor.RED + "[WorkingSlots] Bitte gib die Presetnummer an.");
					succeed = false;
				}
			}
		}
		
		return succeed;
		
	}

}
